%define rname actionmailer
%define name ruby-%{rname}
%define version 2.1.0
%define release %mkrel 2

Summary:	Service layer for easy email delivery and testing
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.rubyonrails.org/
Source0:	%{rname}-%{version}.gem
License:	MIT
Group:		Development/Ruby
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	ruby-actionpack
BuildRequires:	ruby-RubyGems 

%description
Makes it trivial to test and deliver emails sent from a single service layer.

%prep
rm -rf %rname-%version
rm -rf tmp-%rname-%version
mkdir tmp-%rname-%version
gem install --ignore-dependencies %{SOURCE0} --no-rdoc --install-dir `pwd`/tmp-%rname-%version
mv tmp-%rname-%version/gems/%rname-%version .
mv tmp-%rname-%version/specifications/%rname-%version.gemspec %rname-%version/
rm -rf tmp-%rname-%version
%setup -T -D -n %rname-%version

%build
rdoc --ri --op ri lib
rdoc --op rdoc lib

%install
rm -rf %buildroot
mkdir -p $RPM_BUILD_ROOT{%{ruby_sitelibdir},%{ruby_ridir},%{ruby_gemdir}/specifications}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_sitelibdir}
cp -a ri/{ActionMailer,MailHelper} $RPM_BUILD_ROOT%{ruby_ridir}
cp -a %rname-%version.gemspec $RPM_BUILD_ROOT%{ruby_gemdir}/specifications/

for f in `find %buildroot%{ruby_sitelibdir} -name \*.rb`
do
        if head -n1 "$f" | grep '^#!' >/dev/null;
        then
                sed -i 's|/usr/local/bin|/usr/bin|' "$f"
                chmod 0755 "$f"
        else
                chmod 0644 "$f"
        fi
done


%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%{ruby_sitelibdir}/*
%{ruby_ridir}/*
%{ruby_gemdir}/specifications/%rname-%version.gemspec
%doc CHANGELOG rdoc




%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.1.0-2mdv2009.0
+ Revision: 269226
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 03 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.1.0-1mdv2009.0
+ Revision: 214650
- new version 2.1.0

* Mon Jan 14 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.0.2-1mdv2008.1
+ Revision: 151355
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Apr 23 2007 Olivier Blin <oblin@mandriva.com> 1.3.3-1mdv2008.0
+ Revision: 17585
- 1.3.3

* Sat Apr 21 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.5-2mdv2008.0
+ Revision: 16673
- ri is now in ri/ and not ri/ri/
- Use Development/Ruby group


* Thu Nov 16 2006 Olivier Blin <oblin@mandriva.com> 1.2.5-1mdv2007.0
+ Revision: 84942
- 1.2.5
- Import ruby-actionmailer

* Sat Jul 29 2006 Olivier Blin <blino@mandriva.com> 1.2.3-1mdv2007.0
- 1.2.3
- don't version requires

* Thu Feb 16 2006 Pascal Terjan <pterjan@mandriva.org> 1.1.5-2mdk
- Fix Requires syntax

* Thu Feb 16 2006 Pascal Terjan <pterjan@mandriva.org> 1.1.5-1mdk
- First Mandriva release

